Bug 28961 - Join ohne laufendem nscd (auf dem UCS Master) nicht möglich
Join ohne laufendem nscd (auf dem UCS Master) nicht möglich
Status: RESOLVED WONTFIX
Product: UCS
Classification: Unclassified
Component: Join (univention-join)
UCS 3.0
Other Linux
: P5 normal (vote)
: UCS 3.x
Assigned To: UCS maintainers
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-29 14:54 CET by Felix Botner
Modified: 2017-08-08 07:07 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2012-10-29 14:54:20 CET
siehe Bug #28807

3.0-2
Mit auf dem Master laufendem nscd klappt der Join, sonst nicht

Message:  failed to create Member Server (1) [option --bindpwd requires argument]


univention-join wird als Administrator ausgeführt und wenn der nscd auf dem Master nicht läuft, gibt es Probleme, weil der Administrator seinen eigenen passwd Eintrag nicht bekommt. Z.B. wird in univention-join (3.0-2) irgendwann eine Passwort-Datei auf dem Master kopiert

  univention-scp /tmp/tmp.qUdhWKHepj \
   /tmp/tmp.qUdhWKHepj Administrator@master.amd64.de:/tmp/tmp.qUdhWKHepj

Das geht mit 

  unknown user 2002
  lost connection

schief, wodurch der ganze Join fehlschlägt.

In 3.1 ist vermutlich an univention-join etwas geändert wurde, es bricht nun beim Kopieren des CA Zertifikat ab.

  univention-scp /tmp/tmp.kBJjIRRAPS/dcpwd \
    -q Administrator@master.ucs.new:/etc/univention/ssl/ucsCA/CAcert.pem 
    /etc/univention/ssl/ucsCA/

  unknown user 2002
Comment 1 Stefan Gohmann univentionstaff 2012-11-20 09:08:10 CET
Wir sollten ähnlich wie bei der Gruppenauflösung auch bei der Benutzerauflösung auf den nscd verzichten.
Comment 2 Stefan Gohmann univentionstaff 2017-06-16 20:39:12 CEST
This issue has been filed against UCS 3. UCS 3 is out of the normal maintenance and many UCS components have vastly changed in UCS 4.

If this issue is still valid, please change the version to a newer UCS version otherwise this issue will be automatically closed in the next weeks.
Comment 3 Stefan Gohmann univentionstaff 2017-08-08 07:07:37 CEST
This issue has been filed against UCS 3.0.

UCS 3.0 is out of maintenance and many UCS components have vastly changed in later releases. Thus, this issue is now being closed.

If this issue still occurs in newer UCS versions, please use "Clone this bug" or reopen this issue. In this case please provide detailed information on how this issue is affecting you.